#!/usr/bin/env python3

from gi.repository import Clutter, Cogl

class ComipoliPage(Clutter.Actor):
    def __init__(self):
        Clutter.Actor.__init__(self)
        self.image = Clutter.Image()
        self.set_content(self.image)
        self.pixbuf_width = 0
        self.pixbuf_height = 0
        self.aspectrate = 0.0
        self.singlepage = False

    def set_pixbuf(self, pixbuf):
        self.pixbuf_width = pixbuf.get_width()
        self.pixbuf_height = pixbuf.get_height()
        self.aspectrate = pixbuf.get_width() / pixbuf.get_height()
        self.singlepage = self.pixbuf_width - self.pixbuf_height > 0
        #pixel_format = Cogl.PixelFormat.RGB_888
        #if pixbuf.get_has_alpha():
        #    pixel_format = Cogl.PixelFormat.RGBA_8888
        pixel_format = Cogl.PixelFormat.RGBA_8888 if pixbuf.get_has_alpha() else Cogl.PixelFormat.RGB_888
        self.image.set_data(
            pixbuf.get_pixels(),
            pixel_format,
            self.pixbuf_width,
            self.pixbuf_height,
            pixbuf.get_rowstride()
        )

