#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliPreference(Gtk.Dialog):
    def __init__(self, window):
        Gtk.Dialog.__init__(self, transient_for=window, title="Preference")
        self.win = window
        # arrow_replace
        self.repkey = Gtk.CheckButton(
            label="Replace the [←] and [→] key",
            active=window.arrow_replace)
        # thumbnail_height
        self.thumb = Gtk.SpinButton.new_with_range(0.0, 10000.0, 1.0)
        self.thumb.set_value(window.thumbnail_height)
        hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL)
        hbox.pack_start(Gtk.Label("Thumbnail Height"), False, False, 0)
        hbox.pack_start(self.thumb, False, False, 4)
        # Pack
        #self.vbox.set_spacing(12)
        self.vbox.pack_start(self.repkey, False, False, 12)
        self.vbox.pack_start(hbox, False, False, 12)
        self.show_all()

    def do_hide(self):
        self.win.arrow_replace = self.repkey.get_active()
        self.win.thumbnail_height = self.thumb.get_value()
